Bug 18461 - Modifier key value for scroll lock is unclear
Modifier key value for scroll lock is unclear
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: DOM3 Events
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Travis Leithead [MSFT]
public-webapps-bugzilla
: needsReview
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 17:36 UTC by Andy Harrison
Modified: 2013-08-16 20:38 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Harrison 2012-08-01 17:36:43 UTC
The key value for scroll lock is mentioned as both "Scroll" (under 6.2.2) and "ScrollLock" (under 5.2.5 and 6.2.7.1). In practice, Internet Explorer 9 sets the key value to "Scroll".
Comment 1 Travis Leithead [MSFT] 2012-08-23 22:01:45 UTC
Fixed in the latest version of the spec: r240

http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html?rev=1.240
Comment 2 Masayuki Nakano 2012-08-31 08:30:31 UTC
Ugh... Mozilla has changed the key name to "ScrollLock" because the draft had changed the name. And unfortunately the first version which implements getModifierState() has been shipped with "ScrollLock".

Why the name had been changed and back again by this bug??
Comment 3 Travis Leithead [MSFT] 2012-08-31 17:52:20 UTC
Re-opening this bug--needs a more detailed investigation, especially now with conflicting implementations and prior spec inconsistency.
Comment 4 Masayuki Nakano 2012-08-31 23:44:24 UTC
Thanks.

"Scroll" isn't clear if I see it in source code. The "ScrollLock" seems better in that point. And there are "CapsLock", "NumLock", "SymbolLock" and "FnLock". So, I wonder why the Scroll Lock key name is "Scroll". I guess it comes from VK_SCROLL which is Windows' virtual keycode. But I don't feel it's good name for the key.
Comment 5 Masayuki Nakano 2012-08-31 23:46:06 UTC
FYI:

GDK's key name (and might be X's key name too) is GDK_Scroll_Lock.
Comment 6 Gary Kacmarcik 2013-08-16 20:38:21 UTC
Fixed (as "ScrollLock") in latest ED.